Hashes
Function Objects
Collaboration diagram for Hashes:

## Classes

struct | std::hash< _Tp >
struct | std::hash< _Tp * >
struct | std::hash< bool >
struct | std::hash< char >
struct | std::hash< char16_t >
struct | std::hash< char32_t >
struct | std::hash< double >
struct | std::hash< float >
struct | std::hash< int >
struct | std::hash< long >
struct | std::hash< long double >
struct | std::hash< long long >
struct | std::hash< short >
struct | std::hash< signed char >
struct | std::hash< unsigned char >
struct | std::hash< unsigned int >
struct | std::hash< unsigned long >
struct | std::hash< unsigned long long >
struct | std::hash< unsigned short >
struct | std::hash< wchar_t >

## Macros

#define | _Cxx_hashtable_define_trivial_hash(_Tp)

## Detailed Description

Hashing functors taking a variable type and returning a `std::size_t`.